Package org.eclipse.m2m.atl.engine.vm

# Class AtlSuperimposeModule

java.lang.Object
org.eclipse.m2m.atl.engine.vm.AtlSuperimposeModule

public class AtlSuperimposeModule extends Object
Implements ATL module superimposition by load-time adaptation of the execution environment operations.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`class`
`AtlSuperimposeModule.AtlSuperimposeModuleException`
General exception for applying ATL module superimposition.

## Constructor Summary

Constructors
Constructor
Description
`AtlSuperimposeModule(ASMExecEnv env, ASM asm)`
Creates a new AtlSuperimposeModule object.

## Method Summary

Modifier and Type
Method
Description
`void`
`adaptModuleOperations()`
Adapts any module-specific operations from a library.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AtlSuperimposeModule

public AtlSuperimposeModule(ASMExecEnv env, ASM asm)
Creates a new AtlSuperimposeModule object.

Parameters:
  `env` - The execution environment to adapt
  `asm` - The ATL module to adapt

## Method Details

### adaptModuleOperations

public void adaptModuleOperations() throws AtlSuperimposeModule.AtlSuperimposeModuleException
Adapts any module-specific operations from a library. The matcher and exec operations are adapted to include any new ATL rules. Rules with the same name as an existing rule will override the existing rule.

Throws:
  `AtlSuperimposeModule.AtlSuperimposeModuleException` - if sanity check fails